About
Use this request to submit a new porting request for a property.
Resource URI
POST
/v2/Properties/{PropertySid}/Porting
Request
URI Parameters
| Parameter | Type | Description |
|---|---|---|
| PropertySid | string | Property secure identification to submit porting request against. |
Resource Parameters
| Parameter | Type | Description |
|---|---|---|
| CustomerDescription | string | Customer-provided description of the porting request. |
| AuthorisedContactName | string | Name of the authorised contact person. |
| AuthorisedContactEmail | string | Email address of the authorised contact person. |
| DaytimeContactNumber | string | Daytime contact phone number. |
| CurrentCarrier | string | The current carrier from which the numbers are being ported. |
| CurrentCarrierAccountNo | string | The account number with the current carrier. |
| PreferredPortSchedule | string | Preferred schedule for the porting, options are “ASAP” and “Date”. |
| PreferredPortDate | string | Preferred date for the porting to occur in `YYYY-MM-DD` format. Only required when PreferredPortSchedule is “Date”. |
| WebHookURL | string | URL to receive status update notifications. |
| PortingNumbers (Required) | array | A list of numbers to be ported. See below for object properties. |
PortingNumber Object
| Parameter | Type | Description |
|---|---|---|
| Number (Required) | string | The phone number to port in E.164 format. |
| PortType | string | The type of porting. Currently only “Cat-A” is supported. |
| PortAddress | string | The address associated with the number. |
| IncomingActionType | string | Action to take for incoming calls. Options are “Answering Point” or “Flow”. |
| IncomingActionId | string | Identifier for the incoming action. Only required when IncomingActionType is “Flow”. |
| IncomingAnswerPoint | string | The destination for the incoming action. Only required when IncomingActionType is “Answering Point”. |
Example: Submitting a new porting request.
{
"CustomerDescription": "My Porting Request",
"AuthorisedContactName": "John Doe",
"AuthorisedContactEmail": "[email protected]",
"DaytimeContactNumber": "+61299999999",
"CurrentCarrier": "Optus",
"CurrentCarrierAccountNo": "12345678",
"PortingNumbers": [
{
"Number": "+61288888888",
"PortType": "Cat-A",
"IncomingActionType": "Answering Point",
"IncomingAnswerPoint": "+61277777777"
}
]
}
Response
200 – OK
The server will respond with JSON containing the details of the submitted porting request.
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| PortingRequest | object | The created porting request object. See Get Porting Status for object details. |
400 – Error
For error codes and messages, please refer to the REST API Error Codes page.